server:
  port: 8888

#设置提供的服务名
spring:
  application:
    name: ssq-mybatis-plus
  #配置数据库
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://192.168.1.205:3306/ssi?useUnicode=true&characterEncoding=UTF-8&characterSetResults=UTF-8&autoReconnect=true&rewriteBatchedStatements=true&serverTimezone=Asia/Shanghai
    username: root
    password: "!QAZ2root"

  #邮箱基本配置
  mail:
    #配置smtp服务主机地址
    # qq邮箱为smtp.qq.com          端口号465或587
    # sina    smtp.sina.cn
    # aliyun  smtp.aliyun.com
    # 163     smtp.163.com       端口号465或994
    host: smtp.263.net
    #发送者邮箱
    username: xushilong@jiayuepowertech.com
    #配置密码,注意不是真正的密码，而是刚刚申请到的授权码
    password: jiayue123456
    #端口号465或587
    port: 465
    #默认的邮件编码为UTF-8
    default-encoding: UTF-8
    #其他参数
    properties:
      mail:
        #配置SSL 加密工厂
        smtp:
          ssl:
            #本地测试，先放开ssl
            enable: true
            required: true
          #开启debug模式，这样邮件发送过程的日志会在控制台打印出来，方便排查错误
        debug: true


#mybatis plus
#mybatis-plus:
#  #指明mapper.xml扫描位置(classpath* 代表编译后类文件根目录)
#  mapper-locations: classpath*:/mapper/**Mapper.xml
#  #指明实体扫描(多个package用逗号或者分号分隔)
#  typeAliasesPackage: com.ssqmybatis.entity;
#  global-config:
#    #主键类型 0:数据库ID自增, 1:用户输入ID,2:全局唯一ID (数字类型唯一ID), 3:全局唯一ID UUID
#    id-type: 0
#    #字段策略(拼接sql时用于判断属性值是否拼接) 0:忽略判断,1:非NULL判断,2:非空判断
#    field-strategy: 2
#    #驼峰下划线转换含查询column及返回column(column下划线命名create_time，返回java实体是驼峰命名createTime，开启后自动转换否则保留原样)
#    db-column-underline: true
#    #是否动态刷新mapper
#    refresh-mapper: false
#    #数据库大写命名下划线转换
#    #capital-mode: true

mybatis:
  table:
    auto: update
    #create	    系统启动后，会将所有的表删除掉，然后根据model中配置的结构重新建表，该操作会破坏原有数据。
    #update	    系统会自动判断哪些表是新建的，哪些字段要修改类型等，哪些字段要删除，哪些字段要新增，该操作不会破坏原有数据。
    #none 		系统不做任何处理。
    #add		新增表/新增字段/新增索引/新增唯一约束的功能，不做做修改和删除 (只在版本1.0.9.RELEASE及以上支持)。
  model:
    pack: com.ssqmybatis.entity #扫描用于创建表的对象的包名，多个包用“,”隔开
  database:
    type: mysql #数据库类型 目前只支持mysql
mybatis-plus:
  mapper-locations: classpath:/mapper/*Mapper.xml

# 服务端密钥
# 客户端公钥：MFkwEwYHKoZIzj0CAQYIKoEcz1UBgi0DQgAEz9IxRa8TDtsQABm/zl1VCFGVjyklybVfoVKupC759hevR7R9R8sS4flOFJbk8z++Pp/YSb9aHNDMR+S6SpuAXg==
# 自己私钥：MIGTAgEAMBMGByqGSM49AgEGCCqBHM9VAYItBHkwdwIBAQQgm/zcWRJO89xIxOT1PtowqYZHQFBhik3pccpEY1y1+UmgCgYIKoEcz1UBgi2hRANCAAQdHjJPTUumQK2kkouvR7m9J61iACpPA5c7eLqFB1g85j12X90YAcF6ma30bXXarlULzEPhLTWBbEDIk8wgWy6T
# 客户端密钥
# 服务端公钥:MFkwEwYHKoZIzj0CAQYIKoEcz1UBgi0DQgAEHR4yT01LpkCtpJKLr0e5vSetYgAqTwOXO3i6hQdYPOY9dl/dGAHBepmt9G112q5VC8xD4S01gWxAyJPMIFsukw==
# 自己私钥：MIGTAgEAMBMGByqGSM49AgEGCCqBHM9VAYItBHkwdwIBAQQgHFgMNlizvBSLrq0DBio/cGEy1WwKj5Y8CmZUnTSdr8OgCgYIKoEcz1UBgi2hRANCAATP0jFFrxMO2xAAGb/OXVUIUZWPKSXJtV+hUq6kLvn2F69HtH1HyxLh+U4UluTzP74+n9hJv1oc0MxH5LpKm4Be
